Package org.jfree.layouting.input.style.values

## Class CSSType

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSType

- Direct Known Subclasses:
    `CSSFrequencyType`, `CSSNumericType`, `CSSRectangleType`, `CSSStringType`

      public abstract class CSSType
      extends java.lang.Object

  Creation-Date: 23.11.2005, 11:51:52
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CSSType​(java.lang.String type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getType​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSType

          protected CSSType​(java.lang.String type)

  - ### Method Detail

    - #### getType

          public java.lang.String getType​()

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`